CREATE TABLE gl_je_inclusion_rules_ (
    JE_RULE_SET_ID                 NUMBER(18, 0) ,
    JE_SOURCE_NAME                 VARCHAR2(100) ,
    JE_CATEGORY_NAME               VARCHAR2(100) ,
    USER_UPDATABLE_FLAG            VARCHAR2(4)   ,
    INCLUDE_FLAG                   VARCHAR2(4)   ,
    ALC_DEFAULT_CONV_RATE_TYPE     VARCHAR2(120) ,
    ALC_NO_RATE_ACTION_CODE        VARCHAR2(120) ,
    ALC_INHERIT_CONVERSION_TYPE    VARCHAR2(4)   ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    CREATED_BY                     VARCHAR2(256) ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(600) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_             VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_          VARCHAR2(4000),
    AUDIT_IMPERSONATOR_            VARCHAR2(256) ,
    JE_RULE_SET_ID                 NUMBER(18, 0) ,
    JE_SOURCE_NAME                 VARCHAR2(100) ,
    JE_CATEGORY_NAME               VARCHAR2(100) ,
    USER_UPDATABLE_FLAG            VARCHAR2(4)   ,
    INCLUDE_FLAG                   VARCHAR2(4)   ,
    ALC_DEFAULT_CONV_RATE_TYPE     VARCHAR2(120) ,
    ALC_NO_RATE_ACTION_CODE        VARCHAR2(120) ,
    ALC_INHERIT_CONVERSION_TYPE    VARCHAR2(4)   ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    CREATED_BY                     VARCHAR2(256) ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(600) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_             VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_          VARCHAR2(4000),
    AUDIT_IMPERSONATOR_            VARCHAR2(256) ,
    CONSTRAINT pk_gl_je_inclusion_rules_ PRIMARY KEY (JE_RULE_SET_ID, JE_SOURCE_NAME, JE_CATEGORY_NAME, LAST_UPDATE_DATE, LAST_UPDATED_BY, JE_RULE_SET_ID, JE_SOURCE_NAME, JE_CATEGORY_NAME, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
